#!/bin/csh -x

# internal/sdv: execute on vendetta.

unset echo
if (`hostname` != "vendetta") then
	unset echo
	echo "***************************************************"
	echo "Please edit this script, enter your path(s) to Nuke "
	echo "and remove this error condition."
	echo "***************************************************"
	exit
endif
set echo

set basedir=`dirname $PWD/$0`
set CC="g++"
setenv OPT "-O2 -fPIC -std=c++11 -stdlib=libc++ -Wno-deprecated-register"
setenv SHARED "-dynamiclib"
setenv INC_LDPK "-I $basedir/../include"
setenv LIB_NUKE "-lDDImage"

if `hostname` == "vendetta" then
# our compiled stuff goes here:
	setenv TARGET_DIR "compiled"
else
# your results here please:
	setenv TARGET_DIR "lib"
endif

cd $basedir/../source/ldpk

########################### Nuke 11.0 ###########################
unset echo
setenv NUKE_VERSION "11.0"
setenv INC_NUKE "-I /server/software/osx64/nuke/Nuke11.0v4/Nuke11.0v4.app/Contents/MacOS/include/"
setenv LIBDIR_NUKE "-L/server/software/osx64/nuke/Nuke11.0v4/Nuke11.0v4.app/Contents/MacOS/"
mkdir -p $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION
set echo

$CC $OPT $SHARED nuke_ld_3de4_anamorphic_degree_6.C		nuke_ld_3de4_base.C $INC_LDPK $INC_NUKE $LIBDIR_NUKE $LIB_NUKE -o $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION/LD_3DE4_Anamorphic_Degree_6.dylib
$CC $OPT $SHARED nuke_ld_3de4_anamorphic_standard_degree_4.C	nuke_ld_3de4_base.C $INC_LDPK $INC_NUKE $LIBDIR_NUKE $LIB_NUKE -o $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION/LD_3DE4_Anamorphic_Standard_Degree_4.dylib
$CC $OPT $SHARED nuke_ld_3de4_anamorphic_rescaled_degree_4.C	nuke_ld_3de4_base.C $INC_LDPK $INC_NUKE $LIBDIR_NUKE $LIB_NUKE -o $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION/LD_3DE4_Anamorphic_Rescaled_Degree_4.dylib
$CC $OPT $SHARED nuke_ld_3de4_radial_fisheye_degree_8.C		nuke_ld_3de4_base.C $INC_LDPK $INC_NUKE $LIBDIR_NUKE $LIB_NUKE -o $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION/LD_3DE4_Radial_Fisheye_Degree_8.dylib
$CC $OPT $SHARED nuke_ld_3de4_radial_standard_degree_4.C	nuke_ld_3de4_base.C $INC_LDPK $INC_NUKE $LIBDIR_NUKE $LIB_NUKE -o $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION/LD_3DE4_Radial_Standard_Degree_4.dylib
$CC $OPT $SHARED nuke_ld_3de_classic_ld_model.C			nuke_ld_3de4_base.C $INC_LDPK $INC_NUKE $LIBDIR_NUKE $LIB_NUKE -o $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION/LD_3DE_Classic_LD_Model.dylib
$CC $OPT $SHARED nuke_ld_3de4_all_par_types.C			nuke_ld_3de4_base.C $INC_LDPK $INC_NUKE $LIBDIR_NUKE $LIB_NUKE -o $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION/LD_3DE4_All_Parameter_Types.dylib

########################### Nuke 11.1 ###########################
unset echo
setenv NUKE_VERSION "11.1"
setenv INC_NUKE "-I /server/software/osx64/nuke/Nuke11.1v1/Nuke11.1v1.app/Contents/MacOS/include/"
setenv LIBDIR_NUKE "-L/server/software/osx64/nuke/Nuke11.1v1/Nuke11.1v1.app/Contents/MacOS/"
mkdir -p $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION
set echo

$CC $OPT $SHARED nuke_ld_3de4_anamorphic_degree_6.C		nuke_ld_3de4_base.C $INC_LDPK $INC_NUKE $LIBDIR_NUKE $LIB_NUKE -o $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION/LD_3DE4_Anamorphic_Degree_6.dylib
$CC $OPT $SHARED nuke_ld_3de4_anamorphic_standard_degree_4.C	nuke_ld_3de4_base.C $INC_LDPK $INC_NUKE $LIBDIR_NUKE $LIB_NUKE -o $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION/LD_3DE4_Anamorphic_Standard_Degree_4.dylib
$CC $OPT $SHARED nuke_ld_3de4_anamorphic_rescaled_degree_4.C	nuke_ld_3de4_base.C $INC_LDPK $INC_NUKE $LIBDIR_NUKE $LIB_NUKE -o $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION/LD_3DE4_Anamorphic_Rescaled_Degree_4.dylib
$CC $OPT $SHARED nuke_ld_3de4_radial_fisheye_degree_8.C		nuke_ld_3de4_base.C $INC_LDPK $INC_NUKE $LIBDIR_NUKE $LIB_NUKE -o $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION/LD_3DE4_Radial_Fisheye_Degree_8.dylib
$CC $OPT $SHARED nuke_ld_3de4_radial_standard_degree_4.C	nuke_ld_3de4_base.C $INC_LDPK $INC_NUKE $LIBDIR_NUKE $LIB_NUKE -o $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION/LD_3DE4_Radial_Standard_Degree_4.dylib
$CC $OPT $SHARED nuke_ld_3de_classic_ld_model.C			nuke_ld_3de4_base.C $INC_LDPK $INC_NUKE $LIBDIR_NUKE $LIB_NUKE -o $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION/LD_3DE_Classic_LD_Model.dylib
$CC $OPT $SHARED nuke_ld_3de4_all_par_types.C			nuke_ld_3de4_base.C $INC_LDPK $INC_NUKE $LIBDIR_NUKE $LIB_NUKE -o $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION/LD_3DE4_All_Parameter_Types.dylib

########################### Nuke 11.2 ###########################
# Wir gehen dazu ueber, die Nuke-Sachen direkt vom Installationsrechner (vendetta) zu verwenden.
unset echo
setenv NUKE_VERSION "11.2"
setenv INC_NUKE "-I /Applications/Nuke11.2v2/Nuke11.2v2.app/Contents/MacOS/include"
setenv LIBDIR_NUKE "-L/Applications/Nuke11.2v2/Nuke11.2v2.app/Contents/MacOS"
mkdir -p $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION
set echo

$CC $OPT $SHARED nuke_ld_3de4_anamorphic_degree_6.C		nuke_ld_3de4_base.C $INC_LDPK $INC_NUKE $LIBDIR_NUKE $LIB_NUKE -o $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION/LD_3DE4_Anamorphic_Degree_6.dylib
$CC $OPT $SHARED nuke_ld_3de4_anamorphic_standard_degree_4.C	nuke_ld_3de4_base.C $INC_LDPK $INC_NUKE $LIBDIR_NUKE $LIB_NUKE -o $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION/LD_3DE4_Anamorphic_Standard_Degree_4.dylib
$CC $OPT $SHARED nuke_ld_3de4_anamorphic_rescaled_degree_4.C	nuke_ld_3de4_base.C $INC_LDPK $INC_NUKE $LIBDIR_NUKE $LIB_NUKE -o $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION/LD_3DE4_Anamorphic_Rescaled_Degree_4.dylib
$CC $OPT $SHARED nuke_ld_3de4_radial_fisheye_degree_8.C		nuke_ld_3de4_base.C $INC_LDPK $INC_NUKE $LIBDIR_NUKE $LIB_NUKE -o $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION/LD_3DE4_Radial_Fisheye_Degree_8.dylib
$CC $OPT $SHARED nuke_ld_3de4_radial_standard_degree_4.C	nuke_ld_3de4_base.C $INC_LDPK $INC_NUKE $LIBDIR_NUKE $LIB_NUKE -o $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION/LD_3DE4_Radial_Standard_Degree_4.dylib
$CC $OPT $SHARED nuke_ld_3de_classic_ld_model.C			nuke_ld_3de4_base.C $INC_LDPK $INC_NUKE $LIBDIR_NUKE $LIB_NUKE -o $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION/LD_3DE_Classic_LD_Model.dylib
$CC $OPT $SHARED nuke_ld_3de4_all_par_types.C			nuke_ld_3de4_base.C $INC_LDPK $INC_NUKE $LIBDIR_NUKE $LIB_NUKE -o $basedir/../$TARGET_DIR/nuke/osx/Nuke$NUKE_VERSION/LD_3DE4_All_Parameter_Types.dylib

unset echo
echo "**********************************************************"
echo "Plugins should now be in LDPK/$TARGET_DIR/nuke/osx/NukeX.Y/"
echo "Please copy them to your Nuke plugins directory."
echo "All plugin names start with 'LD_3DE...'."
echo "**********************************************************"
